Package org.opensaml.xmlsec.signature.impl

# Class ModulusBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<Modulus>
org.opensaml.xmlsec.signature.impl.ModulusBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<Modulus>`, `XMLSignatureBuilder<Modulus>`

public class ModulusBuilder extends AbstractXMLObjectBuilder<Modulus> implements XMLSignatureBuilder<Modulus>
Builder of `Modulus`.

## Constructor Summary

Constructors
Constructor
Description
`ModulusBuilder()`

## Method Summary

Modifier and Type
Method
Description
`Modulus`
`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`Modulus`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### ModulusBuilder

public ModulusBuilder()

## Method Details

### buildObject

@Nonnull public Modulus buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<Modulus>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<Modulus>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject

### buildObject

@Nonnull public Modulus buildObject()
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.

Specified by:
  `buildObject` in interface `XMLSignatureBuilder<Modulus>`
Returns:
  built XMLObject